This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Networking

1 - Direct Connect

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Direct Connect service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0CURRENT-

OpenAPI URL

https://direct-connect.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1.1 - APIs

1.1.1 - Create Direct Connect

1.1.1.1 - 1.0

post /v1/direct-connects

Description

Create direct connect.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DirectConnectCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDirectConnectShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/direct-connects

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Request body

{
    "bandwidth": "",
    "description": "",
    "firewall_enabled": false,
    "firewall_loggable": false,
    "name": "",
    "tags": [],
    "vpc_id": ""
}

Example HTTP response

Response 202

{
    "direct_connect": {
        "account_id": "",
        "bandwidth": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_id": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.1.2 - Create Routing Rule

1.1.2.1 - 1.0

post /v1/direct-connects/{direct_connect_id}/routing-rules

Description

Create a routing rule.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdirect_connect_id
required
Direct Connect ID
Example :
stringNone
bodybody
required

RoutingRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedRoutingRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/direct-connects/{direct_connect_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Request body

{
    "description": "",
    "destination_cidr": "",
    "destination_resource_id": "",
    "destination_type": "VPC"
}

Example HTTP response

Response 202

{
    "routing_rule": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "destination_cidr": "",
        "destination_resource_id": "",
        "destination_resource_name": "",
        "destination_type": "VPC",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "owner_id": "",
        "owner_type": "INTERNET_GATEWAY",
        "state": "CREATING"
    }
}

1.1.3 - Delete Direct Connect

1.1.3.1 - 1.0

delete /v1/direct-connects/{direct_connect_id}

Description

Delete direct connect.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdirect_connect_id
required
Direct Connect ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/direct-connects/{direct_connect_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Example HTTP response

Response 202

1.1.4 - Delete Routing Rule

1.1.4.1 - 1.0

delete /v1/direct-connects/{direct_connect_id}/routing-rules/{routing_rule_id}

Description

Delete a routing rule.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdirect_connect_id
required
Direct Connect ID
Example :
stringNone
pathrouting_rule_id
required
Routing Rule ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/direct-connects/{direct_connect_id}/routing-rules/{routing_rule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Example HTTP response

Response 202

1.1.5 - List Direct Connects

1.1.5.1 - 1.0

get /v1/direct-connects

Description

Get direct connect list.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Direct Connect ID
Example :
string
queryname
optional
Direct Connect Name
Example :
string
querystate
optional
State
Example :
enum (CREATING, ACTIVE, EDITING, DELETING, DELETED, ERROR)
queryvpc_id
optional
VPC Id
Example :
string
queryvpc_name
optional
VPC Name
Example :
string

Responses

HTTP CodeDescriptionSchema
200OKDirectConnectListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/direct-connects

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "direct_connects": [
        {
            "account_id": "",
            "bandwidth": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "firewall_id": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "state": "CREATING",
            "vpc_id": "",
            "vpc_name": ""
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

1.1.6 - List Routing Rules

1.1.6.1 - 1.0

get /v1/direct-connects/{direct_connect_id}/routing-rules

Description

Get routing rule list.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdirect_connect_id
required
Direct Connect ID
Example :
stringNone
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Routing Rule ID
Example :
any of [string, null]None
querydestination_type
optional
Destination Type
Example :
enum (VPC, ON_PREMISE)None
querydestination_cidr
optional
Destination CIDR
Example :
any of [string, null]None
querystate
optional
State
Example :
enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)None

Responses

HTTP CodeDescriptionSchema
200OKRoutingRuleListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/direct-connects/{direct_connect_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "routing_rules": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "destination_cidr": "",
            "destination_resource_id": "",
            "destination_resource_name": "",
            "destination_type": "VPC",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "owner_id": "",
            "owner_type": "INTERNET_GATEWAY",
            "state": "CREATING"
        }
    ]
}

1.1.7 - Set Direct Connect

1.1.7.1 - 1.0

put /v1/direct-connects/{direct_connect_id}

Description

Set direct connect.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdirect_connect_id
required
Direct Connect ID
Example :
stringNone
bodybody
required

DirectConnectSetRequest

Responses

HTTP CodeDescriptionSchema
200OKDirectConnectShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/direct-connects/{direct_connect_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Request body

{
    "description": ""
}

Example HTTP response

Response 200

{
    "direct_connect": {
        "account_id": "",
        "bandwidth": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_id": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.1.8 - Show Direct Connect

1.1.8.1 - 1.0

get /v1/direct-connects/{direct_connect_id}

Description

Show direct connect.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdirect_connect_id
required
Direct Connect ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDirectConnectShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/direct-connects/{direct_connect_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Example HTTP response

Response 200

{
    "direct_connect": {
        "account_id": "",
        "bandwidth": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_id": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.2 - Models

1.2.1 - DirectConnect

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
bandwidth
required
Port Bandwidth
Example :
integer
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
optional
Direct Connect Description
Example :
any of [string, null]
firewall_id
optional
Firewall ID
Example :
any of [string, null]
id
required
Direct Connect ID
Example :
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
Direct Connect Name
Example :
Pattern : ^[a-zA-Z0-9-]*$
Minimum length : 3
Maximum length : 20
string
state
required
State
Example : CREATING
enum (CREATING, ACTIVE, EDITING, DELETING, DELETED, ERROR)
vpc_id
required
VPC Id
Example :
string
vpc_name
required
VPC Name
Example :
string

1.2.2 - DirectConnectCreateRequest

NameDescriptionSchemaDefault
bandwidth
required
Port Bandwidth
Example :
integer
description
optional
Direct Connect Description
Example :
Maximum length : 50
string
firewall_enabled
optional
Firewall Use
Example : False
boolean
firewall_loggable
optional
Firewall Loggable
Example : False
boolean
name
required
Direct Connect Name
Example :
Pattern : ^[a-zA-Z0-9-]*$
Minimum length : 3
Maximum length : 20
string
tags
optional
Tag List
array[Tag]
vpc_id
required
VPC Id
Example :
string

1.2.3 - DirectConnectListResponse

NameDescriptionSchemaDefault
count
optional
total count
Example : 20
any of [integer, null]
direct_connects
required

array[DirectConnect]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]

1.2.4 - DirectConnectSetRequest

NameDescriptionSchemaDefault
description
required
Direct Connect Description
Example :
Maximum length : 50
string

1.2.5 - DirectConnectShowResponse

NameDescriptionSchemaDefault
direct_connect
required

DirectConnect

1.2.6 - RoutingRule

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
required
Description
Example :
string
destination_cidr
required
Destination CIDR
Example :
string
destination_resource_id
required
Destination Resource ID
Example :
any of [string, null]
destination_resource_name
optional
Destination Resource Name
Example :
any of [string, null]
destination_type
required
Destination Type
Example : VPC
enum (VPC, ON_PREMISE, INTERNET, TGW)
id
required
Routing Rule ID
Example :
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
owner_id
required
Routing Rule Owner ID
Example :
string
owner_type
required
Routing Rule Owner Type
Example : INTERNET_GATEWAY
enum (INTERNET_GATEWAY, GROUP_GATEWAY, DIRECT_CONNECT, SUBNET, PRIVATE_NAT, TRANSIT_GATEWAY, VPC_PEERING, SECURE_INTERNET_GATEWAY)
state
required
State
Example : CREATING
enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)

1.2.7 - RoutingRuleCreateRequest

NameDescriptionSchemaDefault
description
optional
Description
Example :
Maximum length : 50
string
destination_cidr
required
Destination CIDR
Example :
string
destination_resource_id
optional
Destination Resource ID
Example :
any of [string, null]
destination_type
required
Destination Type
Example : VPC
enum (VPC, ON_PREMISE)

1.2.8 - RoutingRuleListResponse

NameDescriptionSchemaDefault
count
optional
total count
Example : 20
any of [integer, null]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]
routing_rules
required

array[RoutingRule]

1.2.9 - RoutingRuleShowResponse

NameDescriptionSchemaDefault
routing_rule
required

RoutingRule

1.2.10 - Tag

NameDescriptionSchemaDefault
key
required
tag key
Example :
string
value
required
tag value
Example :
string

2 - DNS

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of DNS service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0DEPRECATED20251231
1.1DEPRECATED20260331
1.2DEPRECATED20260331
1.3CURRENT-

OpenAPI URL

https://dns.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

2.1 - APIs

2.1.1 - Activate Private DNS

2.1.1.1 - 1.3

post /v1/private-dns/activate

Description

Activate Private DNS

State ACTIVE (CURRENT)

VersionSupported Until
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsActivateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/activate

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "name": "private-dns01"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

2.1.1.2 - 1.2

post /v1/private-dns/activate

Description

Activate Private DNS

State ACTIVE (DEPRECATED)

VersionSupported Until
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsActivateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/activate

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.2"

Request body

{
    "name": "private-dns01"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

2.1.1.3 - 1.1

post /v1/private-dns/activate

Description

Activate Private DNS

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsActivateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/activate

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.1"

Request body

{
    "name": "private-dns01"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

2.1.1.4 - 1.0

post /v1/private-dns/activate

Description

Activate Private DNS

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsActivateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/activate

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.0"

Request body

{
    "name": "private-dns01"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

2.1.2 - Create Hosted Zone

2.1.2.1 - 1.3

post /v1/hosted-zones

Description

Create a new hosted zone.

State ACTIVE (CURRENT)

VersionSupported Until
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

HostedZoneCreateRequestV1Dot3

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot3
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "description": "This is description",
    "name": "my-zone.com",
    "private_dns_id": "",
    "tags": [],
    "type": "public"
}

Example HTTP response

Response 202

{
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "description": "This is description",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "my-zone.com",
    "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
    "private_dns_id": "10fjkewefprivatedns3193rud543",
    "private_dns_name": "private-dns01",
    "status": "CREATING",
    "ttl": "3600"
}

2.1.2.2 - 1.2

post /v1/hosted-zones

Description

Create a new hosted zone.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

HostedZoneCreateRequestV1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.2"

Request body

{
    "description": "",
    "email": "",
    "name": "",
    "private_dns_id": "",
    "tags": [],
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "private_dns_id": "",
    "private_dns_name": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

2.1.2.3 - 1.1

post /v1/hosted-zones

Description

Create a new hosted zone

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

HostedZoneCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneCreateResponse
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.1"

Request body

{
    "description": "",
    "email": "",
    "name": "",
    "tags": [],
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

2.1.2.4 - 1.0

post /v1/hosted-zones

Description

Create a new hosted zone

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

HostedZoneCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneCreateResponse
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.0"

Request body

{
    "description": "",
    "email": "",
    "name": "",
    "tags": [],
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

2.1.3 - Create Hosted Zone Record

2.1.3.1 - 1.3

post /v1/hosted-zones/{hosted_zone_id}/records

Description

Create a new recordset in the hosted zone

State ACTIVE (CURRENT)

VersionSupported Until
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
bodybody
required

RecordCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "description": "",
    "name": "",
    "records": [
        {}
    ],
    "ttl": "",
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

2.1.4 - Create Private DNS

2.1.4.1 - 1.3

post /v1/private-dns

Description

Create Private DNS

State ACTIVE (CURRENT)

VersionSupported Until
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "connected_vpc_ids": [],
    "description": "This is description",
    "name": "private-dns01",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

2.1.4.2 - 1.2

post /v1/private-dns

Description

Create Private DNS

State ACTIVE (DEPRECATED)

VersionSupported Until
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.2"

Request body

{
    "connected_vpc_ids": [],
    "description": "This is description",
    "name": "private-dns01",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

2.1.4.3 - 1.1

post /v1/private-dns

Description

Create Private DNS

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.1"

Request body

{
    "connected_vpc_ids": [],
    "description": "This is description",
    "name": "private-dns01",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

2.1.4.4 - 1.0

post /v1/private-dns

Description

Create Private DNS

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.0"

Request body

{
    "connected_vpc_ids": [],
    "description": "This is description",
    "name": "private-dns01",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

2.1.5 - Create Public Domain

2.1.5.1 - 1.2

post /v1/public-domain-names

Description

Create a new Public Domain record

State ACTIVE (DEPRECATED)

VersionSupported Until
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CreatePublicDomainRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCreatePublicDomainResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.2"

Request body

{
    "address_type": "",
    "auto_extension": true,
    "description": "",
    "domestic_first_address_en": "",
    "domestic_first_address_ko": "",
    "domestic_second_address_en": "",
    "domestic_second_address_ko": "",
    "name": "",
    "overseas_first_address": "",
    "overseas_second_address": "",
    "overseas_third_address": "",
    "postal_code": "",
    "register_email": "",
    "register_name_en": "",
    "register_name_ko": "",
    "register_telno": "",
    "tags": []
}

Example HTTP response

Response 201

{
    "public_domain_name": {
        "address_type": "",
        "auto_extension": "",
        "created_at": "",
        "created_by": "",
        "description": "",
        "domestic_address_en": "",
        "domestic_address_ko": "",
        "domestic_first_address_en": "",
        "domestic_first_address_ko": "",
        "domestic_second_address_en": "",
        "domestic_second_address_ko": "",
        "expired_date": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "overseas_address": "",
        "overseas_first_address": "",
        "overseas_second_address": "",
        "overseas_third_address": "",
        "postal_code": "",
        "register_email": "",
        "register_name_en": "",
        "register_name_ko": "",
        "register_telno": "",
        "start_date": "",
        "status": ""
    }
}

2.1.5.2 - 1.1

post /v1/public-domain-names

Description

Create a new Public Domain record

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CreatePublicDomainRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCreatePublicDomainResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.1"

Request body

{
    "address_type": "",
    "auto_extension": true,
    "description": "",
    "domestic_first_address_en": "",
    "domestic_first_address_ko": "",
    "domestic_second_address_en": "",
    "domestic_second_address_ko": "",
    "name": "",
    "overseas_first_address": "",
    "overseas_second_address": "",
    "overseas_third_address": "",
    "postal_code": "",
    "register_email": "",
    "register_name_en": "",
    "register_name_ko": "",
    "register_telno": "",
    "tags": []
}

Example HTTP response

Response 201

{
    "public_domain_name": {
        "address_type": "",
        "auto_extension": "",
        "created_at": "",
        "created_by": "",
        "description": "",
        "domestic_address_en": "",
        "domestic_address_ko": "",
        "domestic_first_address_en": "",
        "domestic_first_address_ko": "",
        "domestic_second_address_en": "",
        "domestic_second_address_ko": "",
        "expired_date": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "overseas_address": "",
        "overseas_first_address": "",
        "overseas_second_address": "",
        "overseas_third_address": "",
        "postal_code": "",
        "register_email": "",
        "register_name_en": "",
        "register_name_ko": "",
        "register_telno": "",
        "start_date": "",
        "status": ""
    }
}

2.1.5.3 - 1.0

post /v1/public-domain-names

Description

Create a new Public Domain record

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CreatePublicDomainRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCreatePublicDomainResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.0"

Request body

{
    "address_type": "",
    "auto_extension": true,
    "description": "",
    "domestic_first_address_en": "",
    "domestic_first_address_ko": "",
    "domestic_second_address_en": "",
    "domestic_second_address_ko": "",
    "name": "",
    "overseas_first_address": "",
    "overseas_second_address": "",
    "overseas_third_address": "",
    "postal_code": "",
    "register_email": "",
    "register_name_en": "",
    "register_name_ko": "",
    "register_telno": "",
    "tags": []
}

Example HTTP response

Response 201

{
    "public_domain_name": {
        "address_type": "",
        "auto_extension": "",
        "created_at": "",
        "created_by": "",
        "description": "",
        "domestic_address_en": "",
        "domestic_address_ko": "",
        "domestic_first_address_en": "",
        "domestic_first_address_ko": "",
        "domestic_second_address_en": "",
        "domestic_second_address_ko": "",
        "expired_date": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "overseas_address": "",
        "overseas_first_address": "",
        "overseas_second_address": "",
        "overseas_third_address": "",
        "postal_code": "",
        "register_email": "",
        "register_name_en": "",
        "register_name_ko": "",
        "register_telno": "",
        "start_date": "",
        "status": ""
    }
}

2.1.6 - Create Public Domain Name

2.1.6.1 - 1.3

post /v1/public-domain-names

Description

Create a new Public Domain Name

State ACTIVE (CURRENT)

VersionSupported Until
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CreatePublicDomainRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCreatePublicDomainResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "address_type": "",
    "auto_extension": true,
    "description": "",
    "domestic_first_address_en": "",
    "domestic_first_address_ko": "",
    "domestic_second_address_en": "",
    "domestic_second_address_ko": "",
    "name": "",
    "overseas_first_address": "",
    "overseas_second_address": "",
    "overseas_third_address": "",
    "postal_code": "",
    "register_email": "",
    "register_name_en": "",
    "register_name_ko": "",
    "register_telno": "",
    "tags": []
}

Example HTTP response

Response 201

{
    "public_domain_name": {
        "address_type": "",
        "auto_extension": "",
        "created_at": "",
        "created_by": "",
        "description": "",
        "domestic_address_en": "",
        "domestic_address_ko": "",
        "domestic_first_address_en": "",
        "domestic_first_address_ko": "",
        "domestic_second_address_en": "",
        "domestic_second_address_ko": "",
        "expired_date": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "overseas_address": "",
        "overseas_first_address": "",
        "overseas_second_address": "",
        "overseas_third_address": "",
        "postal_code": "",
        "register_email": "",
        "register_name_en": "",
        "register_name_ko": "",
        "register_telno": "",
        "start_date": "",
        "status": ""
    }
}

2.1.7 - Create Record

2.1.7.1 - 1.2

post /v1/hosted-zones/{hosted_zone_id}/records

Description

Create a new recordset in the hosted zone

State ACTIVE (DEPRECATED)

VersionSupported Until
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
bodybody
required

RecordCreateRequestV1Dot0To1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.2"

Request body

{
    "description": "",
    "name": "",
    "records": [
        {}
    ],
    "ttl": "",
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

2.1.7.2 - 1.1

post /v1/hosted-zones/{hosted_zone_id}/records

Description

Create a new recordset in the hosted zone

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
bodybody
required

RecordCreateRequestV1Dot0To1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.1"

Request body

{
    "description": "",
    "name": "",
    "records": [
        {}
    ],
    "ttl": "",
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

2.1.7.3 - 1.0

post /v1/hosted-zones/{hosted_zone_id}/records

Description

Create a new recordset in the hosted zone

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
bodybody
required

RecordCreateRequestV1Dot0To1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.0"

Request body

{
    "description": "",
    "name": "",
    "records": [
        {}
    ],
    "ttl": "",
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

2.1.8 - Delete Hosted Zone

2.1.8.1 - 1.3

delete /v1/hosted-zones/{hosted_zone_id}

Description

Delete a hosted zone

State ACTIVE (CURRENT)

VersionSupported Until
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 202

2.1.8.2 - 1.2

delete /v1/hosted-zones/{hosted_zone_id}

Description

Delete a hosted zone

State ACTIVE (DEPRECATED)

VersionSupported Until
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "private_dns_id": "",
    "private_dns_name": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

2.1.8.3 - 1.1

delete /v1/hosted-zones/{hosted_zone_id}

Description

Delete a hosted zone

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneDeleteResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

2.1.8.4 - 1.0

delete /v1/hosted-zones/{hosted_zone_id}

Description

Delete a hosted zone

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneDeleteResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

2.1.9 - Delete Hosted Zone Record

2.1.9.1 - 1.3

delete /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Delete hosted zone record

State ACTIVE (CURRENT)

VersionSupported Until
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Zone ID
Example :
stringNone
pathrecord_id
required
Record ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

2.1.10 - Delete Private DNS

2.1.10.1 - 1.3

delete /v1/private-dns/{private_dns_id}

Description

Delete Private DNS

State ACTIVE (CURRENT)

VersionSupported Until
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 202

2.1.10.2 - 1.2

delete /v1/private-dns/{private_dns_id}

Description

Delete Private DNS

State ACTIVE (DEPRECATED)

VersionSupported Until
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 202

2.1.10.3 - 1.1

delete /v1/private-dns/{private_dns_id}

Description

Delete Private DNS

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 202

2.1.10.4 - 1.0

delete /v1/private-dns/{private_dns_id}

Description

Delete Private DNS

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 202

2.1.11 - Delete Record

2.1.11.1 - 1.2

delete /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Delete a recordset

State ACTIVE (DEPRECATED)

VersionSupported Until
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Zone ID
Example :
stringNone
pathrecord_id
required
Record ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

2.1.11.2 - 1.1

delete /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Delete a recordset

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Zone ID
Example :
stringNone
pathrecord_id
required
Record ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

2.1.11.3 - 1.0

delete /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Delete a recordset

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Zone ID
Example :
stringNone
pathrecord_id
required
Record ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

2.1.12 - Get Public Domain Detail

2.1.12.1 - 1.2

get /v1/public-domain-names/{public_domain_id}

Description

Retrieve detailed information for a specific public domain by ID

State ACTIVE (DEPRECATED)

VersionSupported Until
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainDetailResponse

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "public_domain_name": {
        "address_type": "",
        "auto_extension": "",
        "created_at": "",
        "created_by": "",
        "description": "",
        "domestic_address_en": "",
        "domestic_address_ko": "",
        "domestic_first_address_en": "",
        "domestic_first_address_ko": "",
        "domestic_second_address_en": "",
        "domestic_second_address_ko": "",
        "expired_date": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "overseas_address": "",
        "overseas_first_address": "",
        "overseas_second_address": "",
        "overseas_third_address": "",
        "postal_code": "",
        "register_email": "",
        "register_name_en": "",
        "register_name_ko": "",
        "register_telno": "",
        "start_date": "",
        "status": ""
    }
}

2.1.12.2 - 1.1

get /v1/public-domain-names/{public_domain_id}

Description

Retrieve detailed information for a specific public domain by ID

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainDetailResponse

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "public_domain_name": {
        "address_type": "",
        "auto_extension": "",
        "created_at": "",
        "created_by": "",
        "description": "",
        "domestic_address_en": "",
        "domestic_address_ko": "",
        "domestic_first_address_en": "",
        "domestic_first_address_ko": "",
        "domestic_second_address_en": "",
        "domestic_second_address_ko": "",
        "expired_date": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "overseas_address": "",
        "overseas_first_address": "",
        "overseas_second_address": "",
        "overseas_third_address": "",
        "postal_code": "",
        "register_email": "",
        "register_name_en": "",
        "register_name_ko": "",
        "register_telno": "",
        "start_date": "",
        "status": ""
    }
}

2.1.12.3 - 1.0

get /v1/public-domain-names/{public_domain_id}

Description

Retrieve detailed information for a specific public domain by ID

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainDetailResponse

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 200

{
    "public_domain_name": {
        "address_type": "",
        "auto_extension": "",
        "created_at": "",
        "created_by": "",
        "description": "",
        "domestic_address_en": "",
        "domestic_address_ko": "",
        "domestic_first_address_en": "",
        "domestic_first_address_ko": "",
        "domestic_second_address_en": "",
        "domestic_second_address_ko": "",
        "expired_date": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "overseas_address": "",
        "overseas_first_address": "",
        "overseas_second_address": "",
        "overseas_third_address": "",
        "postal_code": "",
        "register_email": "",
        "register_name_en": "",
        "register_name_ko": "",
        "register_telno": "",
        "start_date": "",
        "status": ""
    }
}

2.1.13 - List Hosted Zone Records

2.1.13.1 - 1.3

get /v1/hosted-zones/{hosted_zone_id}/records

Description

Get record list in a hosted zone

State ACTIVE (CURRENT)

VersionSupported Until
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
querylimit
optional
limit
Example :
any of [integer, null]None
querymarker
optional
marker
Example :
any of [string, null]None
querysort_dir
optional
sort direction
Example :
any of [string, null]None
querysort_key
optional
sort key
Example :
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
queryexact_name
optional
name
Example :
any of [string, null]None
querytype
optional
Type of the record
Example :
any of [string, null]None
querydata
optional
Record data
Example :
any of [string, null]None
querystatus
optional
The status
Example :
any of [string, null]None
querydescription
optional
description
Example :
any of [string, null]None
queryttl
optional
TTL for the zone.
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKRecordListResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "links": "",
    "metadata": "",
    "records": [
        {
            "action": "",
            "created_at": "",
            "description": "",
            "id": "",
            "links": "",
            "name": "",
            "project_id": "",
            "records": [
                ""
            ],
            "status": "",
            "ttl": "",
            "type": "",
            "updated_at": "",
            "version": "",
            "zone_id": "",
            "zone_name": ""
        }
    ]
}

2.1.14 - List Hosted Zones

2.1.14.1 - 1.3

get /v1/hosted-zones

Description

Return list of hosted zones

State ACTIVE (CURRENT)

VersionSupported Until
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
name
Example : my-zone.com
any of [string, null]None
querytype
optional
Type of zone
Example :
any of [enum (public, private), null]None
querystatus
optional
The status
Example :
any of [enum (CREATING, EDITING, ACTIVE, DELETING, DELETED, ERROR, PENDING, UNKNOWN), null]None

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneListResponseV1Dot3
403ForbiddenNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "hosted_zones": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "This is description",
            "hosted_zone_type": "public",
            "id": "3432012nfdksdf03ktrld9234lgfg",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "my-zone.com",
            "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
            "private_dns_id": "10fjkewefprivatedns3193rud543",
            "private_dns_name": "private-dns01",
            "status": "CREATING",
            "ttl": "3600"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2.1.14.2 - 1.2

get /v1/hosted-zones

Description

Return list of hosted zones

State ACTIVE (DEPRECATED)

VersionSupported Until
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
name
Example :
any of [string, null]None
queryexact_name
optional
name
Example :
any of [string, null]None
querytype
optional
Type of zone
Example :
any of [string, null]None
queryemail
optional
email
Example :
any of [string, null]None
querystatus
optional
The status
Example :
any of [string, null]None
querydescription
optional
description
Example :
any of [string, null]None
queryttl
optional
TTL for the zone.
Example :
any of [integer, null]None
querypage
optional
Page
Example : 0
any of [integer, null]0
querysize
optional
Size
Example : 20
any of [integer, null]20
querysort
optional
Sort
Example : name:asc
any of [string, null]name:asc

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneListResponseV1Dot2
403ForbiddenNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "count": "",
    "hosted_zones": [
        {
            "action": "",
            "attributes": "",
            "created_at": "",
            "description": "",
            "email": "",
            "hosted_zone_type": "",
            "id": "",
            "links": "",
            "masters": [
                ""
            ],
            "name": "",
            "pool_id": "",
            "private_dns_id": "",
            "private_dns_name": "",
            "project_id": "",
            "serial": "",
            "shared": "",
            "status": "",
            "transferred_at": "",
            "ttl": "",
            "type": "",
            "updated_at": "",
            "version": ""
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "page": "",
    "size": "",
    "sort": ""
}

2.1.14.3 - 1.1

get /v1/hosted-zones

Description

Return list of hosted zones

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
name
Example :
any of [string, null]None
queryexact_name
optional
name
Example :
any of [string, null]None
querytype
optional
Type of zone
Example :
any of [string, null]None
queryemail
optional
email
Example :
any of [string, null]None
querystatus
optional
The status
Example :
any of [string, null]None
querydescription
optional
description
Example :
any of [string, null]None
queryttl
optional
TTL for the zone.
Example :
any of [integer, null]None
querypage
optional
Page
Example : 0
any of [integer, null]0
querysize
optional
Size
Example : 20
any of [integer, null]20
querysort
optional
Sort
Example : name:asc
any of [string, null]name:asc

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneListResponseV1Dot1
403ForbiddenNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "count": "",
    "hosted_zones": [
        {
            "action": "",
            "attributes": "",
            "created_at": "",
            "description": "",
            "email": "",
            "hosted_zone_type": "",
            "id": "",
            "links": "",
            "masters": [
                ""
            ],
            "name": "",
            "pool_id": "",
            "project_id": "",
            "serial": "",
            "shared": "",
            "status": "",
            "transferred_at": "",
            "ttl": "",
            "type": "",
            "updated_at": "",
            "version": ""
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "page": "",
    "size": "",
    "sort": ""
}

2.1.14.4 - 1.0

get /v1/hosted-zones

Description

Return list of hosted zones

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querylimit
optional
limit
Example :
any of [integer, null]None
querymarker
optional
marker
Example :
any of [string, null]None
querysort_dir
optional
sort direction
Example :
any of [string, null]None
querysort_key
optional
sort key
Example :
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
queryexact_name
optional
name
Example :
any of [string, null]None
querytype
optional
Type of zone
Example :
any of [string, null]None
queryemail
optional
email
Example :
any of [string, null]None
querystatus
optional
The status
Example :
any of [string, null]None
querydescription
optional
description
Example :
any of [string, null]None
queryttl
optional
TTL for the zone.
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneListResponse
403ForbiddenNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": "",
    "metadata": "",
    "zones": [
        {
            "action": "",
            "attributes": "",
            "created_at": "",
            "description": "",
            "email": "",
            "hosted_zone_type": "",
            "id": "",
            "links": "",
            "masters": [
                ""
            ],
            "name": "",
            "pool_id": "",
            "project_id": "",
            "serial": "",
            "shared": "",
            "status": "",
            "transferred_at": "",
            "ttl": "",
            "type": "",
            "updated_at": "",
            "version": ""
        }
    ]
}

2.1.15 - List Private DNS

2.1.15.1 - 1.3

get /v1/private-dns

Description

List all Private DNS

State ACTIVE (CURRENT)

VersionSupported Until
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
any of [string, null]None
queryname
optional
Private DNS Name
Example :
any of [string, null]None
queryvpc_id
optional
Connected VPC ID
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querystate
optional
State
Example : ACTIVE
any of [enum (CREATING, EDITING, ACTIVE, ACTIVATING, INACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_dns": [
        {
            "auth_dns_name": "",
            "connected_vpc_ids": [
                ""
            ],
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "This is description",
            "id": "10fjkewefprivatedns3193rud543",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "private-dns01",
            "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
            "pool_name": "",
            "registered_region": "KR-WEST1",
            "resolver_ip": "198.19.0.101",
            "resolver_name": "",
            "state": "CREATING"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2.1.15.2 - 1.2

get /v1/private-dns

Description

List all Private DNS

State ACTIVE (DEPRECATED)

VersionSupported Until
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
any of [string, null]None
queryname
optional
Private DNS Name
Example :
any of [string, null]None
queryvpc_id
optional
Connected VPC ID
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querystate
optional
State
Example : ACTIVE
any of [enum (CREATING, EDITING, ACTIVE, ACTIVATING, INACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_dns": [
        {
            "auth_dns_name": "",
            "connected_vpc_ids": [
                ""
            ],
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "This is description",
            "id": "10fjkewefprivatedns3193rud543",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "private-dns01",
            "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
            "pool_name": "",
            "registered_region": "KR-WEST1",
            "resolver_ip": "198.19.0.101",
            "resolver_name": "",
            "state": "CREATING"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2.1.15.3 - 1.1

get /v1/private-dns

Description

List all Private DNS

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
any of [string, null]None
queryname
optional
Private DNS Name
Example :
any of [string, null]None
queryvpc_id
optional
Connected VPC ID
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querystate
optional
State
Example : ACTIVE
any of [enum (CREATING, EDITING, ACTIVE, ACTIVATING, INACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_dns": [
        {
            "auth_dns_name": "",
            "connected_vpc_ids": [
                ""
            ],
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "This is description",
            "id": "10fjkewefprivatedns3193rud543",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "private-dns01",
            "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
            "pool_name": "",
            "registered_region": "KR-WEST1",
            "resolver_ip": "198.19.0.101",
            "resolver_name": "",
            "state": "CREATING"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2.1.15.4 - 1.0

get /v1/private-dns

Description

List all Private DNS

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
any of [string, null]None
queryname
optional
Private DNS Name
Example :
any of [string, null]None
queryvpc_id
optional
Connected VPC ID
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querystate
optional
State
Example : ACTIVE
any of [enum (CREATING, EDITING, ACTIVE, ACTIVATING, INACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_dns": [
        {
            "auth_dns_name": "",
            "connected_vpc_ids": [
                ""
            ],
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "This is description",
            "id": "10fjkewefprivatedns3193rud543",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "private-dns01",
            "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
            "pool_name": "",
            "registered_region": "KR-WEST1",
            "resolver_ip": "198.19.0.101",
            "resolver_name": "",
            "state": "CREATING"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2.1.16 - List Public Domain Names

2.1.16.1 - 1.3

get /v1/public-domain-names

Description

Return list of Public Domain Names

State ACTIVE (CURRENT)

VersionSupported Until
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
querycreated_by
optional
Created By_
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainListResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "public_domain_names": [
        {
            "created_at": "",
            "created_by": "",
            "expired_date": "",
            "id": "",
            "modified_at": "",
            "modified_by": "",
            "name": "",
            "register_email": "",
            "start_date": "",
            "status": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2.1.17 - List Public Domains

2.1.17.1 - 1.2

get /v1/public-domain-names

Description

List all Public Domains

State ACTIVE (DEPRECATED)

VersionSupported Until
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
querycreated_by
optional
Created By_
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainListResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "public_domain_names": [
        {
            "created_at": "",
            "created_by": "",
            "expired_date": "",
            "id": "",
            "modified_at": "",
            "modified_by": "",
            "name": "",
            "register_email": "",
            "start_date": "",
            "status": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2.1.17.2 - 1.1

get /v1/public-domain-names

Description

List all Public Domains

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
querycreated_by
optional
Created By_
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainListResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "public_domain_names": [
        {
            "created_at": "",
            "created_by": "",
            "expired_date": "",
            "id": "",
            "modified_at": "",
            "modified_by": "",
            "name": "",
            "register_email": "",
            "start_date": "",
            "status": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2.1.17.3 - 1.0

get /v1/public-domain-names

Description

List all Public Domains

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
querycreated_by
optional
Created By_
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainListResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "public_domain_names": [
        {
            "created_at": "",
            "created_by": "",
            "expired_date": "",
            "id": "",
            "modified_at": "",
            "modified_by": "",
            "name": "",
            "register_email": "",
            "start_date": "",
            "status": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2.1.18 - List Records

2.1.18.1 - 1.2

get /v1/hosted-zones/{hosted_zone_id}/records

Description

Get recordset list in a hosted zone

State ACTIVE (DEPRECATED)

VersionSupported Until
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
querylimit
optional
limit
Example :
any of [integer, null]None
querymarker
optional
marker
Example :
any of [string, null]None
querysort_dir
optional
sort direction
Example :
any of [string, null]None
querysort_key
optional
sort key
Example :
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
queryexact_name
optional
name
Example :
any of [string, null]None
querytype
optional
Type of the record
Example :
any of [string, null]None
querydata
optional
Record data
Example :
any of [string, null]None
querystatus
optional
The status
Example :
any of [string, null]None
querydescription
optional
description
Example :
any of [string, null]None
queryttl
optional
TTL for the zone.
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKRecordListResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "links": "",
    "metadata": "",
    "records": [
        {
            "action": "",
            "created_at": "",
            "description": "",
            "id": "",
            "links": "",
            "name": "",
            "project_id": "",
            "records": [
                ""
            ],
            "status": "",
            "ttl": "",
            "type": "",
            "updated_at": "",
            "version": "",
            "zone_id": "",
            "zone_name": ""
        }
    ]
}

2.1.18.2 - 1.1

get /v1/hosted-zones/{hosted_zone_id}/records

Description

Get recordset list in a hosted zone

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
querylimit
optional
limit
Example :
any of [integer, null]None
querymarker
optional
marker
Example :
any of [string, null]None
querysort_dir
optional
sort direction
Example :
any of [string, null]None
querysort_key
optional
sort key
Example :
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
queryexact_name
optional
name
Example :
any of [string, null]None
querytype
optional
Type of the record
Example :
any of [string, null]None
querydata
optional
Record data
Example :
any of [string, null]None
querystatus
optional
The status
Example :
any of [string, null]None
querydescription
optional
description
Example :
any of [string, null]None
queryttl
optional
TTL for the zone.
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKRecordListResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": "",
    "metadata": "",
    "records": [
        {
            "action": "",
            "created_at": "",
            "description": "",
            "id": "",
            "links": "",
            "name": "",
            "project_id": "",
            "records": [
                ""
            ],
            "status": "",
            "ttl": "",
            "type": "",
            "updated_at": "",
            "version": "",
            "zone_id": "",
            "zone_name": ""
        }
    ]
}

2.1.18.3 - 1.0

get /v1/hosted-zones/{hosted_zone_id}/records

Description

Get recordset list in a hosted zone

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
querylimit
optional
limit
Example :
any of [integer, null]None
querymarker
optional
marker
Example :
any of [string, null]None
querysort_dir
optional
sort direction
Example :
any of [string, null]None
querysort_key
optional
sort key
Example :
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
queryexact_name
optional
name
Example :
any of [string, null]None
querytype
optional
Type of the record
Example :
any of [string, null]None
querydata
optional
Record data
Example :
any of [string, null]None
querystatus
optional
The status
Example :
any of [string, null]None
querydescription
optional
description
Example :
any of [string, null]None
queryttl
optional
TTL for the zone.
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKRecordListResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": "",
    "metadata": "",
    "records": [
        {
            "action": "",
            "created_at": "",
            "description": "",
            "id": "",
            "links": "",
            "name": "",
            "project_id": "",
            "records": [
                ""
            ],
            "status": "",
            "ttl": "",
            "type": "",
            "updated_at": "",
            "version": "",
            "zone_id": "",
            "zone_name": ""
        }
    ]
}

2.1.19 - Set Hosted Zone Record

2.1.19.1 - 1.3

put /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Update Hosted Zone record

State ACTIVE (CURRENT)

VersionSupported Until
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Zone ID
Example :
stringNone
pathrecord_id
required
Record ID
Example :
stringNone
bodybody
required

RecordSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordSetResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "records": "",
    "ttl": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

2.1.20 - Set Private DNS

2.1.20.1 - 1.3

put /v1/private-dns/{private_dns_id}

Description

Update Private DNS

State ACTIVE (CURRENT)

VersionSupported Until
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone
bodybody
required

PrivateDnsSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "connected_vpc_ids": [
        ""
    ],
    "description": "This is description"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

2.1.20.2 - 1.2

put /v1/private-dns/{private_dns_id}

Description

Update Private DNS

State ACTIVE (DEPRECATED)

VersionSupported Until
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone
bodybody
required

PrivateDnsSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.2"

Request body

{
    "connected_vpc_ids": [
        ""
    ],
    "description": "This is description"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

2.1.20.3 - 1.1

put /v1/private-dns/{private_dns_id}

Description

Update Private DNS

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone
bodybody
required

PrivateDnsSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.1"

Request body

{
    "connected_vpc_ids": [
        ""
    ],
    "description": "This is description"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

2.1.20.4 - 1.0

put /v1/private-dns/{private_dns_id}

Description

Update Private DNS

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone
bodybody
required

PrivateDnsSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
[...]
